WPXHeader Class Reference

`#include <WPXHeader.h>`

Inheritance diagram for WPXHeader:

## Public Member Functions

| WPXHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
virtual | ~WPXHeader ()
unsigned | getDocumentOffset () const
unsigned char | getProductType () const
unsigned char | getFileType () const
unsigned char | getMajorVersion () const
unsigned char | getMinorVersion () const
unsigned short | getDocumentEncryption () const

## Static Public Member Functions

static WPXHeader * | constructHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes

unsigned | m_documentOffset
unsigned char | m_productType
unsigned char | m_fileType
unsigned char | m_majorVersion
unsigned char | m_minorVersion
unsigned short | m_documentEncryption

## Constructor & Destructor Documentation

## WPXHeader()

WPXHeader::WPXHeader | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | documentOffset,
|  | unsigned char | productType,
|  | unsigned char | fileType,
|  | unsigned char | majorVersion,
|  | unsigned char | minorVersion,
|  | unsigned short | documentEncryption )

Referenced by constructHeader(), WP3Header::WP3Header(), WP5Header::WP5Header(), and WP6Header::WP6Header().

## ~WPXHeader()

WPXHeader::~WPXHeader | ( |  | ) |

virtual

## Member Function Documentation

## constructHeader()

WPXHeader * WPXHeader::constructHeader | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

static

Referenced by libwpd::WPDocument::isFileFormatSupported(), libwpd::WPDocument::parse(), and libwpd::WPDocument::verifyPassword().

## getDocumentEncryption()

unsigned short WPXHeader::getDocumentEncryption | ( |  | ) | const

inline

Referenced by WP6Header::WP6Header().

## getDocumentOffset()

unsigned WPXHeader::getDocumentOffset | ( |  | ) | const

inline

## getFileType()

unsigned char WPXHeader::getFileType | ( |  | ) | const

inline

## getMajorVersion()

unsigned char WPXHeader::getMajorVersion | ( |  | ) | const

inline

## getMinorVersion()

unsigned char WPXHeader::getMinorVersion | ( |  | ) | const

inline

## getProductType()

unsigned char WPXHeader::getProductType | ( |  | ) | const

inline

## Member Data Documentation

## m_documentEncryption

unsigned short WPXHeader::m_documentEncryption

private

Referenced by getDocumentEncryption(), and WPXHeader().

## m_documentOffset

unsigned WPXHeader::m_documentOffset

private

Referenced by getDocumentOffset(), and WPXHeader().

## m_fileType

unsigned char WPXHeader::m_fileType

private

Referenced by getFileType(), and WPXHeader().

## m_majorVersion

unsigned char WPXHeader::m_majorVersion

private

Referenced by getMajorVersion(), and WPXHeader().

## m_minorVersion

unsigned char WPXHeader::m_minorVersion

private

Referenced by getMinorVersion(), and WPXHeader().

## m_productType

unsigned char WPXHeader::m_productType

private

Referenced by getProductType(), and WPXHeader().

The documentation for this class was generated from the following files:

- WPXHeader.h
- WPXHeader.cpp